=== debian/changelog ===
phonon-backend-vlc (0.9.0-2+deb9u1) stretch-security; urgency=medium

  * debian/patches: Backport upstream patch to fix build with VLC 3.0.
  * debian/control: Bump vlc B-Ds to ensure that its built against the new
    version.

 -- Sebastian Ramacher <sramacher@debian.org>  Fri, 04 May 2018 19:45:19 +0200

phonon-backend-vlc (0.9.0-2) unstable; urgency=medium

  * Use the new splitted vlc plugin packages.
    Thanks to Sebastian Ramacher for the report (Closes: 841448)

 -- Maximiliano Curia <maxy@debian.org>  Fri, 21 Oct 2016 12:15:08 +0200

phonon-backend-vlc (0.9.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream release (0.9.0).

 -- Maximiliano Curia <maxy@debian.org>  Wed, 18 May 2016 20:05:11 +0200

phonon-backend-vlc (0.8.2-1) unstable; urgency=medium

  * Team upload.

  [ Lisandro Damián Nicanor Pérez Meyer ]
  * Add myself to Uploaders.

  [ Felix Geyer ]
  * New upstream release.
  * Add extra-cmake-modules to build-depends, fixing FTBFS.
  * Drop automoc from build-depends, cmake's internal one is used.
  * Fix the watch file.
  * Bump Standards-Version to 3.9.6, no changes needed.
  * Make vlc a hard dependency as it contains the pulseaudio and video plugins.
    (Closes: #769469)

 -- Felix Geyer <fgeyer@debian.org>  Tue, 01 Sep 2015 21:04:27 +0200
