=== debian/control ===
Source: phonon-backend-vlc
Section: sound
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Fathi Boudra <fabo@debian.org>,
           Modestas Vainius <modax@debian.org>,
           Diane Trout <diane@ghic.org>,
           Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>
Build-Depends: cmake (>= 2.8.9~),
               debhelper (>= 9),
               extra-cmake-modules,
               libphonon-dev (>= 4:4.9.0~),
               libphonon4qt5-dev (>= 4:4.9.0~),
               libphonon4qt5experimental-dev (>= 4:4.9.0~),
               libphononexperimental-dev (>= 4:4.9.0~),
               libqt4-dev (>= 4:4.6.0),
               libv4l-dev [linux-any],
               libvlc-dev (>= 3.0),
               libvlccore-dev (>= 3.0),
               libx11-dev,
               pkg-config,
               pkg-kde-tools (>= 0.12),
               qtbase5-dev
Standards-Version: 3.9.8
Homepage: https://projects.kde.org/projects/kdesupport/phonon/phonon-vlc
Vcs-Git: https://anonscm.debian.org/git/pkg-kde/kde-std/phonon-backend-vlc.git
Vcs-Browser: https://anonscm.debian.org/git/pkg-kde/kde-std/phonon-backend-vlc.git

Package: phonon-backend-vlc
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: vlc-plugin-base,
         vlc-plugin-video-output,
         ${misc:Depends},
         ${shlibs:Depends}
Provides: phonon-backend
Description: Phonon VLC backend
 Phonon is the Qt 4 multimedia API, which provides a task-oriented
 abstraction layer for capturing, mixing, processing, and playing audio
 and video content.
 .
 This package contains VLC backend for Phonon.

Package: phonon4qt5-backend-vlc
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: vlc-plugin-base,
         vlc-plugin-video-output,
         ${misc:Depends},
         ${shlibs:Depends}
Provides: phonon4qt5-backend
Description: Phonon4Qt5 VLC backend
 Phonon is the KF5 multimedia API, which provides a task-oriented
 abstraction layer for capturing, mixing, processing, and playing audio
 and video content.
 .
 This package contains VLC backend for Phonon4Qt5.
