=== debian/changelog ===
phonon-backend-vlc (0.10.1-2) sid; urgency=medium

  * New revision
  * Update Vcs fields
  * Bump phonon build dependency version
  * Release to sid

 -- Maximiliano Curia <maxy@debian.org>  Wed, 28 Feb 2018 11:07:25 +0100

phonon-backend-vlc (0.10.1-1) experimental; urgency=medium

  * New upstream release (0.10.1).
  * Update build-deps and deps with the info from cmake
  * Bump to Standards-Version 4.1.3
  * Release to experimental

 -- Maximiliano Curia <maxy@debian.org>  Tue, 27 Feb 2018 10:50:15 +0100

phonon-backend-vlc (0.9.1-2) unstable; urgency=medium

  * Team upload.
  * Upload to unstable.

  [ Maximiliano Curia ]
  * Update uploaders list as requested by MIA team (Closes: #879420)

  [ Pino Toscano ]
  * Update watch file.
  * Bump Standards-Version to 4.1.2, no changes required.
  * Remove obsolete URL in copyright.

 -- Pino Toscano <pino@debian.org>  Fri, 22 Dec 2017 13:04:47 +0100

phonon-backend-vlc (0.9.1-1) experimental; urgency=medium

  * New upstream release (0.9.1).
  * Update upstream metadata
  * Bump Standards-Version to 4.0.0, no changes needed.
  * Point homepage to the git frontend
  * Update watch file, add upstream signing-key.asc
  * Drop upstream applied patch
  * Release to experimental

 -- Maximiliano Curia <maxy@debian.org>  Wed, 12 Jul 2017 13:41:18 +0200
