=== debian/rules ===
#!/usr/bin/make -f

DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

include /usr/share/pkg-kde-tools/qt-kde-team/2/debian-qt-kde.mk

override_dh_auto_configure:
	$(overridden_command) -- -DPLUGIN_INSTALL_DIR=/usr/lib/$(DEB_HOST_MULTIARCH)/qt4/
	$(overridden_command) -Bobj-qt5 -- \
	                      -DPHONON_BUILD_PHONON4QT5=ON \
	                      -DPLUGIN_INSTALL_DIR=/usr/lib/$(DEB_HOST_MULTIARCH)/qt5/

override_dh_auto_build:
	$(overridden_command)
	$(overridden_command) -Bobj-qt5

override_dh_auto_install:
	$(overridden_command)
	$(overridden_command) -Bobj-qt5

override_dh_auto_clean:
	$(overridden_command)
	$(overridden_command) -Bobj-qt5

override_dh_strip:
	$(overridden_command) -pphonon-backend-vlc --dbgsym-migration='phonon-backend-vlc-dbg (<= 0.9.0-1~~)'
	$(overridden_command) -pphonon4qt5-backend-vlc --dbgsym-migration='phonon4qt5-backend-vlc-dbg (<= 0.9.0-1~~)'
