=== debian/control ===
--- 
+++ 
@@ -20,10 +20,10 @@
                pkg-config,
                pkg-kde-tools (>= 0.12),
                qtbase5-dev,
-Standards-Version: 4.1.3
+Standards-Version: 4.3.0
 Homepage: https://cgit.kde.org/phonon-vlc.git
-Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde-extras/phonon-backend-vlc
-Vcs-Git: https://salsa.debian.org/git/qt-kde-team/kde-extras/phonon-backend-vlc.git
+Vcs-Browser: https://salsa.debian.org/qt-kde-team/extras/phonon-backend-vlc
+Vcs-Git: https://salsa.debian.org/qt-kde-team/extras/phonon-backend-vlc.git
 
 Package: phonon-backend-vlc
 Architecture: any
