## phonon-backend-vlc 0.10.3

=== debian/changelog ===
phonon-backend-vlc (0.10.3-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Add the qttools5-dev build dependency, needed for translations.
  * Update install files.
  * Bump Standards-Version to 4.4.0, no changes required.

 -- Pino Toscano <pino@debian.org>  Tue, 30 Jul 2019 07:14:04 +0200
