=== debian/control ===
--- 
+++ 
@@ -20,7 +20,8 @@
                pkg-config,
                pkg-kde-tools (>= 0.12),
                qtbase5-dev,
-Standards-Version: 4.3.0
+               qttools5-dev,
+Standards-Version: 4.4.0
 Homepage: https://cgit.kde.org/phonon-vlc.git
 Vcs-Browser: https://salsa.debian.org/qt-kde-team/extras/phonon-backend-vlc
 Vcs-Git: https://salsa.debian.org/qt-kde-team/extras/phonon-backend-vlc.git
