=== debian/changelog ===
phonon-backend-vlc (0.11.1-1build1) focal; urgency=medium

  * No-change rebuild for libgcc-s1 package name change.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 23 Mar 2020 07:22:47 +0100

phonon-backend-vlc (0.11.1-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Update the build dependencies according to the upstream build system:
    - bump cmake to 3.5
    - bump extra-cmake-modules to 5.60
    - bump libphonon4qt5-dev, and libphonon4qt5experimental-dev to 4:4.10.60
    - bump libvlc-dev, and libvlccore-dev to 2.1.0
  * Drop the -DPHONON_BUILD_PHONON4QT5=ON cmake parameter, as it is no more
    needed now.
  * Stop passing --fail-missing to dh_missing, as there is only one binary now
    (and thus everything is already installed there).
  * Switch from dhmk to the dh sequencer:
    - invoke the dh sequencer using the kf5 addon
    - explicitly link in as-needed mode
    - remove the -DPLUGIN_INSTALL_DIR cmake parameter, as the right plugin
      directory is detected automatically now
  * Bump Standards-Version to 4.4.1, no changes required.
  * Add the configuration for the CI on salsa.

 -- Pino Toscano <pino@debian.org>  Wed, 06 Nov 2019 19:27:49 +0100

phonon-backend-vlc (0.10.3-2) unstable; urgency=medium

  * Drop Qt 4 support (Closes: #875088).
  * Fail the build if there are missing files not installed.
  * Remove dbg migration command.
  * Switch to debhelper compatibility 12.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Fri, 30 Aug 2019 16:08:05 -0300
