=== debian/control ===
Source: phonon-backend-vlc
Section: sound
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Modestas Vainius <modax@debian.org>,
           Diane Trout <diane@ghic.org>,
           Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>,
Build-Depends: cmake (>= 3.5~),
               debhelper (>= 12~),
               extra-cmake-modules (>= 5.60~),
               libphonon4qt5-dev (>= 4:4.10.60~),
               libphonon4qt5experimental-dev (>= 4:4.10.60~),
               libv4l-dev [linux-any],
               libvlc-dev (>= 2.1.0),
               libvlccore-dev (>= 2.1.0),
               libx11-dev,
               pkg-config,
               pkg-kde-tools (>= 0.12),
               qtbase5-dev,
               qttools5-dev,
Standards-Version: 4.4.1
Homepage: https://cgit.kde.org/phonon-vlc.git
Vcs-Browser: https://salsa.debian.org/qt-kde-team/extras/phonon-backend-vlc
Vcs-Git: https://salsa.debian.org/qt-kde-team/extras/phonon-backend-vlc.git

Package: phonon4qt5-backend-vlc
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: vlc-plugin-base,
         vlc-plugin-video-output,
         ${misc:Depends},
         ${shlibs:Depends},
Provides: phonon4qt5-backend
Description: Phonon4Qt5 VLC backend
 Phonon is the KF5 multimedia API, which provides a task-oriented
 abstraction layer for capturing, mixing, processing, and playing audio
 and video content.
 .
 This package contains VLC backend for Phonon4Qt5.
