=== debian/changelog ===
phonon-backend-vlc (0.11.3-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.

 -- Pino Toscano <pino@debian.org>  Sun, 15 Aug 2021 18:59:43 +0200
