=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
            Diane Trout <diane@ghic.org>,
            Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>,
 Build-Depends: cmake (>= 3.5~),
-               debhelper (>= 12~),
+               debhelper-compat (= 13),
                extra-cmake-modules (>= 5.60~),
                libphonon4qt5-dev (>= 4:4.10.60~),
                libphonon4qt5experimental-dev (>= 4:4.10.60~),
@@ -18,8 +18,9 @@
                pkg-kde-tools (>= 0.12),
                qtbase5-dev,
                qttools5-dev,
-Standards-Version: 4.4.1
-Homepage: https://cgit.kde.org/phonon-vlc.git
+Standards-Version: 4.5.1
+Rules-Requires-Root: no
+Homepage: https://commits.kde.org/phonon-vlc
 Vcs-Browser: https://salsa.debian.org/qt-kde-team/extras/phonon-backend-vlc
 Vcs-Git: https://salsa.debian.org/qt-kde-team/extras/phonon-backend-vlc.git
