## phonon-backend-vlc 0.12.0

=== src/CMakeLists.txt ===
--- 
+++ 
@@ -26,7 +26,6 @@
 
 set(phonon_vlc_SRCS
     audio/audiooutput.cpp
-    audio/audiodataoutput.cpp
     audio/volumefadereffect.cpp
     backend.cpp
     devicemanager.cpp
@@ -43,14 +42,30 @@
     video/videomemorystream.cpp
     utils/debug.cpp
     utils/libvlc.cpp
+
+    audio/audiooutput.h
+    audio/volumefadereffect.h
+    backend.h
+    devicemanager.h
+    effect.h
+    effectmanager.h
+    media.h
+    mediacontroller.h
+    mediaobject.h
+    mediaplayer.h
+    sinknode.h
+    streamreader.h
+#    video/videodataoutput.cpp
+    video/videowidget.h
+    video/videomemorystream.h
+    utils/debug.h
+    utils/libvlc.h
 )
 
-if(NOT ${LIBVLC_VERSION} VERSION_LESS "2.2.0")
-    list(APPEND phonon_vlc_SRCS equalizereffect.cpp)
-endif()
+list(APPEND phonon_vlc_SRCS equalizereffect.cpp)
 
 if(PHONON_EXPERIMENTAL)
-    list(APPEND phonon_vlc_SRCS video/videodataoutput.cpp)
+    list(APPEND phonon_vlc_SRCS video/videodataoutput.cpp video/videodataoutput.h)
 endif()
 
 if(APPLE)
@@ -60,26 +75,28 @@
 endif()
 
 ecm_create_qm_loader(phonon_vlc_SRCS phonon_vlc_qt)
-add_library(phonon_vlc MODULE ${phonon_vlc_SRCS})
-
-target_include_directories(phonon_vlc
+add_library(phonon_vlc_qt${QT_MAJOR_VERSION} MODULE ${phonon_vlc_SRCS})
+if(QT_MAJOR_VERSION STREQUAL 5)
+    set_target_properties(phonon_vlc_qt${QT_MAJOR_VERSION} PROPERTIES INSTALL_NAME "phonon_vlc")
+endif()
+target_include_directories(phonon_vlc_qt${QT_MAJOR_VERSION}
     PRIVATE
         # Extra include. We use some internal stuff for easy chroma conversion.
         ${LIBVLC_INCLUDE_DIR}/vlc/plugins
 )
 
-target_link_libraries(phonon_vlc
-    Phonon::phonon4qt5
-    Qt5::Core
-    Qt5::Widgets
+target_link_libraries(phonon_vlc_qt${QT_MAJOR_VERSION}
+    Phonon::phonon4qt${QT_MAJOR_VERSION}
+    Qt${QT_MAJOR_VERSION}::Core
+    Qt${QT_MAJOR_VERSION}::Widgets
     LibVLC::Core
     LibVLC::LibVLC
 )
 if(PHONON_EXPERIMENTAL)
-    target_link_libraries(phonon_vlc Phonon::phonon4qt5experimental)
+    target_link_libraries(phonon_vlc_qt${QT_MAJOR_VERSION} Phonon::phonon4qt${QT_MAJOR_VERSION}experimental)
 endif()
 
-install(TARGETS phonon_vlc DESTINATION ${PHONON_BACKEND_DIR})
+install(TARGETS phonon_vlc_qt${QT_MAJOR_VERSION} DESTINATION ${PHONON_BACKEND_DIR})
 
 configure_file(${CMAKE_CURRENT_SOURCE_DIR}/config.h.cmake
                ${CMAKE_CURRENT_BINARY_DIR}/config.h @ONLY)
