=== debian/changelog ===
phonon-backend-vlc (0.12.0-3) unstable; urgency=medium

  * Team upload.
  * Upload to unstable.

 -- Pino Toscano <pino@debian.org>  Thu, 09 Nov 2023 07:36:44 +0100

phonon-backend-vlc (0.12.0-2) experimental; urgency=medium

  * Team upload.
  * Split the localization files from phonon4qt5-backend-vlc to a new
    phonon-backend-vlc-common, as they will be useful also for the Qt 6 version
    - add proper breaks/replaces
  * Build Qt 6 backend:
    - add the qt6-base-dev, qt6-tools-dev, libphonon4qt6-dev, and
      libphonon4qt6experimental-dev build dependencies
    - drop the -DPHONON_BUILD_QT6=OFF cmake option, as the build system can
      build both the Qt 5 and Qt 6 versions at the same time
    - add the new phonon4qt6-backend-vlc binary package
    - install the Qt 6 plugin to the proper location manually for now

 -- Pino Toscano <pino@debian.org>  Sun, 05 Nov 2023 21:26:31 +0100

phonon-backend-vlc (0.12.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Update the upstream GPG signing key.
  * Update standards version to 4.6.2, no changes needed.
  * Remove inactive Uploaders.
  * Pass -DPHONON_BUILD_QT6=OFF to cmake to disable the Qt 6 build for now.
  * Update the build dependencies according to the upstream build system:
    - bump extra-cmake-modules to 5.90
    - bump libphonon4qt5-dev, and libphonon4qt5experimental-dev to 4:4.12.0
    - bump libvlc-dev, and libvlccore-dev to 3.0.0

 -- Pino Toscano <pino@debian.org>  Fri, 03 Nov 2023 19:02:20 +0100
