=== debian/control ===
Source: phonon-backend-vlc
Section: sound
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>,
Build-Depends: cmake (>= 3.5~),
               debhelper-compat (= 13),
               extra-cmake-modules (>= 5.90~),
               libphonon4qt5-dev (>= 4:4.12.0~),
               libphonon4qt5experimental-dev (>= 4:4.12.0~),
               libphonon4qt6-dev (>= 4:4.12.0~),
               libphonon4qt6experimental-dev (>= 4:4.12.0~),
               libv4l-dev [linux-any],
               libvlc-dev (>= 3.0.0~),
               libvlccore-dev (>= 3.0.0~),
               libx11-dev,
               pkg-config,
               pkg-kde-tools (>= 0.12),
               qt6-base-dev,
               qt6-tools-dev,
               qtbase5-dev,
               qttools5-dev,
Standards-Version: 4.6.2
Rules-Requires-Root: no
Homepage: https://commits.kde.org/phonon-vlc
Vcs-Browser: https://salsa.debian.org/qt-kde-team/extras/phonon-backend-vlc
Vcs-Git: https://salsa.debian.org/qt-kde-team/extras/phonon-backend-vlc.git

Package: phonon-backend-vlc-common
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Breaks: phonon4qt5-backend-vlc (<< 0.12.0-2~),
Replaces: phonon4qt5-backend-vlc (<< 0.12.0-2~),
Description: Phonon VLC backends - shared files
 Phonon is the KF5 multimedia API, which provides a task-oriented
 abstraction layer for capturing, mixing, processing, and playing audio
 and video content.
 .
 This package contains the shared files for the icons used by the Phonon VLC
 backends.

Package: phonon4qt5-backend-vlc
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: phonon-backend-vlc-common (>= ${source:Version}),
         vlc-plugin-base,
         vlc-plugin-video-output,
         ${misc:Depends},
         ${shlibs:Depends},
Provides: phonon4qt5-backend
Description: Phonon4Qt5 VLC backend
 Phonon is the KF5 multimedia API, which provides a task-oriented
 abstraction layer for capturing, mixing, processing, and playing audio
 and video content.
 .
 This package contains VLC backend for Phonon4Qt5.

Package: phonon4qt6-backend-vlc
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: phonon-backend-vlc-common (>= ${source:Version}),
         vlc-plugin-base,
         vlc-plugin-video-output,
         ${misc:Depends},
         ${shlibs:Depends},
Provides: phonon4qt6-backend
Description: Phonon4Qt6 VLC backend
 Phonon is the KF5 multimedia API, which provides a task-oriented
 abstraction layer for capturing, mixing, processing, and playing audio
 and video content.
 .
 This package contains VLC backend for Phonon4Qt6.
