=== debian/watch ===
version=4
opts=pgpsigurlmangle=s/$/.sig/ https://download.kde.org/stable/phonon/phonon-backend-vlc/([\d.]+)/phonon-backend-vlc-@ANY_VERSION@@ARCHIVE_EXT@
