=== debian/changelog ===
phonon-backend-vlc (0.12.0+p24.04+vstable+git20251019.0551-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sun, 19 Oct 2025 05:51:03 +0000

phonon-backend-vlc (0.12.0-4) unstable; urgency=medium

  * Team upload.
  * New upstream release.

 -- Pino Toscano <pino@debian.org>  Sun, 15 Aug 2021 18:59:43 +0200
