=== debian/control ===
Source: phonon-backend-vlc
Section: sound
Priority: optional
Uploaders: Modestas Vainius <modax@debian.org>,
           Diane Trout <diane@ghic.org>,
           Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>
Build-Depends: cmake,
               debhelper-compat (= 13),
               extra-cmake-modules,
               libv4l-dev [linux-any],
               libvlc-dev,
               libvlccore-dev,
               libx11-dev,
               pkg-kde-tools-neon,
               pkgconf,
               qt5-phonon-dev,
               qt6-base-dev,
               qt6-phonon-dev,
               qt6-tools-dev,
               qtbase5-dev,
               qttools5-dev
Standards-Version: 4.6.2
Rules-Requires-Root: no
Homepage: https://invent.kde.org/libraries/phonon-vlc.git
Vcs-Git: https://invent.kde.org/neon/extras/phonon-backend-vlc.git
Vcs-Browser: https://invent.kde.org/neon/extras/phonon-backend-vlc
Maintainer: Neon CI <neon@kde.org>

Package: phonon-backend-vlc
Architecture: any
Depends: qt5-phonon-backend-vlc, qt6-phonon-backend-vlc
Description: Phonon VLC backend - meta package for qt5 & qt6

Package: qt5-phonon-backend-vlc
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: libqt5core5a,
         vlc-plugin-base,
         vlc-plugin-video-output,
         ${misc:Depends},
         ${shlibs:Depends}
Provides: phonon-backend-vlc
Description: Qt5 Phonon VLC backend
 Phonon is the KF5 multimedia API, which provides a task-oriented
 abstraction layer for capturing, mixing, processing, and playing audio
 and video content.
 .
 This package contains VLC backend for Phonon4Qt5.

Package: phonon5-backend-vlc
Architecture: all
Section: oldlibs
Priority: optional
Depends: qt5-phonon-backend-vlc
Description: Qt5 Phonon VLC backend - transitional
 This dummy package can be safely removed.

Package: phonon4qt5-backend-vlc
Architecture: any
Depends: qt5-phonon-backend-vlc
Description: Qt5 Phonon VLC backend - transitional
 This dummy package can be safely removed.

Package: qt6-phonon-backend-vlc
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: qt6-base,
         vlc-plugin-base,
         vlc-plugin-video-output,
         ${misc:Depends},
         ${shlibs:Depends}
Breaks: phonon-backend-vlc-common (<< 0.12.0-4),
        phonon4qt5-backend-vlc (<< 0.12.0-1)
Replaces: phonon-backend-vlc-common (<< 0.12.0-4),
          phonon4qt5-backend-vlc (<< 0.12.0-1)
Description: Qt6 Phonon VLC backend
 Phonon is the KF6 multimedia API, which provides a task-oriented
 abstraction layer for capturing, mixing, processing, and playing audio
 and video content.
 .
 This package contains VLC backend for Qt6 Phonon.

Package: phonon6-backend-vlc
Architecture: all
Depends: qt6-phonon-backend-vlc, ${misc:Depends}
Section: oldlibs
Priority: optional
Description: Qt6 Phonon VLC backend - transitional
 This dummy package can be safely removed.

Package: phonon4qt6-backend-vlc
Architecture: all
Section: oldlibs
Priority: optional
Depends: qt6-phonon-backend-vlc, ${misc:Depends}
Description: Qt6 Phonon VLC backend - transitional
 This dummy package can be safetly removed.

Package: phonon-backend-vlc-common
Architecture: all
Section: oldlibs
Priority: optional
Depends: qt6-phonon-backend-vlc, ${misc:Depends}
Description: Qt6 Phonon VLC backend - transitional
 This dummy package can be safetly removed.
