## phonon-backend-vlc 0.12.0+p24.04+vstable+git20251020.0624

=== debian/changelog ===
phonon-backend-vlc (0.12.0+p24.04+vstable+git20251020.0624-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Mon, 20 Oct 2025 06:25:00 +0000
