=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
QT6_CMAKE_ARGS = -DPHONON_BUILD_QT6=ON -DPHONON_BUILD_QT5=OFF
QT5_CMAKE_ARGS = -DPHONON_BUILD_QT5=ON -DPHONON_BUILD_QT6=OFF

%:
	dh $@

execute_after_dh_auto_clean:
	rm -rf build-QT5

override_dh_auto_configure:
	dh_auto_configure -- $(QT6_CMAKE_ARGS) -DUSE_QT_VERSION=6
	dh_auto_configure --builddirectory=build-QT5 -- $(QT5_CMAKE_ARGS) -DUSE_QT_VERSION=5

override_dh_auto_build:
	dh_auto_build
	dh_auto_build --builddirectory=build-QT5

override_dh_auto_install:
	dh_auto_install
	dh_auto_install --builddirectory=build-QT5
