## phonon-backend-vlc 0.12.0+p24.04+vstable+git20251209.2109

=== src/CMakeLists.txt ===
--- 
+++ 
@@ -24,9 +24,7 @@
 endif()
 add_definitions(${BACKEND_VERSION_DEFINE}) # also automatically used for moc
 
-add_library(phonon_vlc_qt${QT_MAJOR_VERSION} MODULE)
-
-target_sources(phonon_vlc_qt${QT_MAJOR_VERSION} PRIVATE
+set(phonon_vlc_SRCS
     audio/audiooutput.cpp
     audio/volumefadereffect.cpp
     backend.cpp
@@ -62,25 +60,22 @@
     video/videomemorystream.h
     utils/debug.h
     utils/libvlc.h
-    equalizereffect.cpp
 )
 
+list(APPEND phonon_vlc_SRCS equalizereffect.cpp)
+
 if(PHONON_EXPERIMENTAL)
-    target_sources(phonon_vlc_qt${QT_MAJOR_VERSION} PRIVATE
-        video/videodataoutput.cpp
-        video/videodataoutput.h
-    )
+    list(APPEND phonon_vlc_SRCS video/videodataoutput.cpp video/videodataoutput.h)
 endif()
 
 if(APPLE)
-    target_sources(phonon_vlc_qt${QT_MAJOR_VERSION} PRIVATE
+    list(APPEND phonon_vlc_SRCS
         video/mac/nsvideoview.mm
-        video/mac/vlcmacwidget.mm
-    )
+        video/mac/vlcmacwidget.mm)
 endif()
 
-ecm_create_qm_loader(phonon_vlc_qt${QT_MAJOR_VERSION} phonon_vlc_qt)
-
+ecm_create_qm_loader(phonon_vlc_${QT_MAJOR_VERSION} phonon_vlc_qt)
+add_library(phonon_vlc_qt${QT_MAJOR_VERSION} MODULE ${phonon_vlc_SRCS})
 if(QT_MAJOR_VERSION STREQUAL 5)
     set_target_properties(phonon_vlc_qt${QT_MAJOR_VERSION} PROPERTIES INSTALL_NAME "phonon_vlc")
 endif()
@@ -116,4 +111,4 @@
 configure_file(${CMAKE_CURRENT_SOURCE_DIR}/phonon-vlc.json.in
                 ${CMAKE_CURRENT_BINARY_DIR}/phonon-vlc.json @ONLY)
 
-ecm_install_po_files_as_qm(../poqm)
+ecm_install_po_files_as_qm(poqm)
