=== debian/changelog ===
phonon-backend-vlc (0.12.0+p24.04+vstable+git20251209.2109-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Tue, 09 Dec 2025 21:09:15 +0000
