## phonon-backend-vlc 0.12.0+p24.04+vunstable+git20251015.0936

=== debian/changelog ===
phonon-backend-vlc (0.12.0+p24.04+vunstable+git20251015.0936-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Wed, 15 Oct 2025 09:36:45 +0000
