## phonon-backend-vlc 0.12.0+p24.04+vunstable+git20251020.0209

=== debian/changelog ===
phonon-backend-vlc (0.12.0+p24.04+vunstable+git20251020.0209-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Mon, 20 Oct 2025 02:09:53 +0000
