## phonon-backend-vlc 0.12.0+p24.04+vunstable+git20260123.0229

=== debian/changelog ===
phonon-backend-vlc (0.12.0+p24.04+vunstable+git20260123.0229-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Fri, 23 Jan 2026 02:29:16 +0000
