=== debian/control ===
--- 
+++ 
@@ -28,8 +28,9 @@
 
 Package: phonon-backend-vlc
 Architecture: any
-Depends: qt5-phonon-backend-vlc, qt6-phonon-backend-vlc
-Description: Phonon VLC backend - meta package for qt5 & qt6
+Depends: qt5-phonon-backend-vlc, qt6-phonon-backend-vlc, ${misc:Depends}
+Description: Phonon VLC backend 
+ Meta package for qt5 & qt6
 
 Package: qt5-phonon-backend-vlc
 Architecture: any
@@ -56,12 +57,6 @@
 Description: Qt5 Phonon VLC backend - transitional
  This dummy package can be safely removed.
 
-Package: phonon4qt5-backend-vlc
-Architecture: any
-Depends: qt5-phonon-backend-vlc
-Description: Qt5 Phonon VLC backend - transitional
- This dummy package can be safely removed.
-
 Package: qt6-phonon-backend-vlc
 Architecture: any
 Multi-Arch: same
@@ -81,6 +76,12 @@
  and video content.
  .
  This package contains VLC backend for Qt6 Phonon.
+
+Package: phonon4qt5-backend-vlc
+Architecture: all
+Depends: qt5-phonon-backend-vlc, ${misc:Depends}
+Description: Qt5 Phonon VLC backend - transitional
+ This dummy package can be safely removed.
 
 Package: phonon6-backend-vlc
 Architecture: all
