=== debian/rules ===
--- 
+++ 
@@ -22,3 +22,4 @@
 override_dh_auto_install:
 	dh_auto_install
 	dh_auto_install --builddirectory=build-QT5
+
